Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 101718 - have web project types use new Ant Build script extensibility api
have web project types use new Ant Build script extensibility api
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Radko Najman
issues@javaee
plan60 nbide
:
Depends on:
Blocks: 93509 101710
  Show dependency treegraph
 
Reported: 2007-04-19 10:15 UTC by Milos Kleint
Modified: 2007-06-12 15:09 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2007-04-19 10:15:34 UTC
see #93509 for details on what build script extensibility is.

implement the spi part of the contract and include the AntBuildExtender in the
project's lookup for 3rd party extensions to use.

see j2se project for example.

If there are any non-core targets currently in your project type's
build-impl.xml, consider making them extensions as well. (like there is jaxws in
jseproject now)
Comment 1 Milan Kuchtiak 2007-05-02 10:52:01 UTC
Increasing priority to P2 (see issue 101710)
Comment 2 Petr Jiricka 2007-05-22 14:11:55 UTC
There is currently no plan to address this for NetBeans 6, changing to
ENHANCEMENT with target milestone 'future'.
Comment 3 Petr Jiricka 2007-06-11 17:07:15 UTC
Milan, isn't this currently fixed? Thanks.
Comment 4 Milan Kuchtiak 2007-06-12 15:09:31 UTC
Fixed.
See the issue 101710.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo